## gnome-settings-daemon 3.28.1

=== meson_options.txt ===
option('nssdb_dir', type: 'string', value: '', description: 'Absolute path to the system NSS database directory')
option('udev_dir', type: 'string', value: '', description: 'Absolute path of the udev base directory')

option('alsa', type: 'boolean', value: true, description: 'build with ALSA support (not optional on Linux platforms)')
option('gudev', type: 'boolean', value: true, description: 'build with gudev device support (not optional on Linux platforms)')
option('cups', type: 'boolean', value: true, description: 'build with CUPS support')
option('network_manager', type: 'boolean', value: true, description: 'build with NetworkManager support (not optional on Linux platforms)')
option('rfkill', type: 'boolean', value: true, description: 'build with rfkill support (not optional on Linux platforms)')
option('smartcard', type: 'boolean', value: true, description: 'build with smartcard support')
option('wayland', type: 'boolean', value: true, description: 'build with Wayland support')

=== debian/changelog ===
gnome-settings-daemon (3.28.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Tim Lunn <tim@feathertop.org>  Fri, 13 Apr 2018 18:18:32 +1000

gnome-settings-daemon (3.28.0-0ubuntu2) bionic; urgency=medium

  * debian/patches/ubuntu_ibus_configs.patch:
    - libpinyin instead of sunpinyin for zh_CN (LP: #1756205)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 25 Mar 2018 05:16:00 +0100

gnome-settings-daemon (3.28.0-0ubuntu1) bionic; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Mar 2018 21:28:18 -0400

gnome-settings-daemon (3.27.92-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate
  * Drop git-power-fix-divide-by-0.patch: Applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Mar 2018 11:31:47 -0500

gnome-settings-daemon (3.27.91-0ubuntu1) bionic; urgency=medium

  [ Jeremy Bicha ]
  * New upstream development release
  * Update Breaks for dropped plugin in new release
  * Build with meson
  * Bump minimum libglib2.0-dev to 2.53.0
  * Build-Depend on policykit-1 for its files
  * maintscript: rm obsolete org.gnome.SettingsDaemon.A11yKeyboard autostart
    file
  * Refresh patches
  * Disable build tests since they require installed gsettings schemas

  [ Tim Lunn]
  * d/p/git-power-fix-divide-by-0.patch:
    Cherry-pick patch which should fix the gsd-power crash for systems
    with no backlit keyboard. (LP: #1751956)

 -- Tim Lunn <tim@feathertop.org>  Mon, 05 Mar 2018 23:19:43 +1100

gnome-settings-daemon (3.26.2-0ubuntu3) bionic; urgency=medium

  * No-change rebuild against latest gnome-desktop3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Feb 2018 06:54:07 -0500

gnome-settings-daemon (3.26.2-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against latest libgweather

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Feb 2018 06:58:03 -0500

gnome-settings-daemon (3.26.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (LP: #1731099)
    - Fix Empty Trash button in Setting > Privacy (LP: #1721927)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Nov 2017 21:16:10 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-settings-daemon
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper (>= 11.1.3),
               meson (>= 0.44.0),
               policykit-1,
               gnome-pkg-tools,
               gtk-doc-tools,
               dh-exec,
               intltool (>= 0.37.1),
               libaccountsservice-dev (>= 0.6.34),
               libasound2-dev [linux-any],
               libglib2.0-dev (>= 2.53.0),
               libgtk-3-dev (>= 3.16),
               libnm-dev (>= 1.0) [linux-any],
               libnotify-dev (>= 0.7.3),
               libxt-dev,
               libxi-dev,
               libxtst-dev,
               libfontconfig1-dev,
               libxext-dev,
               libx11-dev,
               libibus-1.0-dev (>= 1.5.2),
               gsettings-desktop-schemas-dev (>= 3.23.3),
               libgnome-desktop-3-dev (>= 3.11.1),
               libpulse-dev (>= 2.0),
               libcanberra-gtk3-dev,
               libcups2-dev,
               libpolkit-gobject-1-dev,
               libpackagekit-glib2-dev (>= 0.8.1),
               libupower-glib-dev (>= 0.99.0),
               libgudev-1.0-dev [linux-any],
               libcolord-dev (>= 1.0.2),
               liblcms2-dev,
               libnss3-dev,
               libwacom-dev (>= 0.7) [!hurd-any !kfreebsd-any !s390 !s390x],
               xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390 !s390x],
               librsvg2-dev (>= 2.36.2),
               libgweather-3-dev (>= 3.9.5),
               libgeocode-glib-dev (>= 3.10.0),
               libgeoclue-2-dev (>= 2.3.1),
               xkb-data,
               python-dbusmock <!nocheck>,
               python-gi <!nocheck>,
               udev [linux-any] <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 3.9.8
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-settings-daemon/ubuntu

Package: gnome-settings-daemon
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpam-systemd [!hurd-any !kfreebsd-any],
         gnome-settings-daemon-schemas (= ${source:Version}),
         gsettings-desktop-schemas (>= 3.20),
         nautilus-data (>= 2.91.3-1)
Recommends: pulseaudio,
            iio-sensor-proxy
Breaks: gnome-shell ( << 3.27),
        budgie-core ( << 10.4+git20171031.10.g9f71bb8-1ubuntu5~),
        gdm3 (<< 3.27),
        gnome-initial-setup (<< 3.27),
        gnome-session (<< 3.27),
        gnome-control-center (<< 1:3.15.4)
Description: daemon handling the GNOME session settings
 This package contains the daemon which is responsible for setting the
 various parameters of a GNOME session and the applications that run
 under it. It handles the following kinds of settings:
 .
  * Keyboard: layout, accessibility options, shortcuts, media keys
  * Clipboard management
  * Theming: background, icons, GTK+ applications
  * Cleanup of unused files
  * Mouse: cursors, speed, accessibility options
  * Startup of other daemons: screensaver, sound daemon
 .
 It also sets various application settings through X resources and
 freedesktop.org XSETTINGS.

Package: gnome-settings-daemon-schemas
Architecture: all
Depends: ${misc:Depends}
Replaces: gnome-settings-daemon (<< 3.20.1-2ubuntu1~)
Breaks: gnome-settings-daemon (<< 3.20.1-2ubuntu1~)
Description: Shared schemas for gnome-settings-daemon
 This package contains the gsettings schemas used by
 gnome-settings-daemon and unity-settings-daemon.

Package: gnome-settings-daemon-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libglib2.0-dev
Description: Headers for building applications communicating with gnome-settings-daemon
 This package contains header files required to build applications that
 communicate with the GNOME settings daemon over D-Bus.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--warn-unresolved-symbols -Wl,--as-needed
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

%:
	dh $@ --with gnome

ifneq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = \
	-Drfkil=false \
	-Dnetwork_manager=false \
	-Dalsa=false
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib \
		--libexecdir=/usr/lib/gnome-settings-daemon \
		$(CONFFLAGS)

override_dh_missing:
	dh_missing --fail-missing

# Disable tests since they require installed gsettings schemas
# https://gitlab.gnome.org/GNOME/gnome-settings-daemon/issues/7
override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
ifeq (,$(filter $(DEB_HOST_ARCH), s390x hurd-i386 kfreebsd-i386 kfreebsd-amd64))
	-xvfb-run dh_auto_test
else
	-xvfb-run dh_auto_test
endif
endif

## gnome-settings-daemon 3.30.1.2

=== debian/changelog ===
gnome-settings-daemon (3.30.1.2-1ubuntu3.1) cosmic; urgency=medium

  * debian/*: Update metadata for ubuntu/cosmic branch
  * debian/patches: Enable IBus for OSK (LP: #1760399)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 25 Jan 2019 20:29:16 +0000

gnome-settings-daemon (3.30.1.2-1ubuntu3) cosmic; urgency=medium

  * debian/patches/ubuntu_calculator_snap.patch:
    - teach gsd about the gnome-calculator snap .desktop name, so it knows 
      how to start the calculator from its keybinding (lp: #1796499)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Oct 2018 13:56:39 +0200

gnome-settings-daemon (3.30.1.2-1ubuntu2) cosmic; urgency=medium

  * debian/patches/git_binary_encoding.patch:
    - backport fix from upstream to resolve suspend/resume rfk issues
      (lp: #1797322)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 11 Oct 2018 16:27:17 +0200

gnome-settings-daemon (3.30.1.2-1ubuntu1) cosmic; urgency=medium

  * Merge with unreleased Debian version. Remaining changes:
    + Split out schemas into gnome-settings-daemon-schemas so
      unity-settings-daemon can use them
    + debian/control.in:
      - Build-depend on accountsservice
      - Bump breaks/replaces for moving files to the -schemas pkg
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - 70_allow_sound_above_100.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook and upstart scripts
    + debian/gnome-settings-daemon-schemas.install:
      - Install schemas, translations and the rfkill rule
    + Don't install gnome-settings-daemon.gsettings-override

 -- Iain Lane <iain.lane@canonical.com>  Mon, 08 Oct 2018 10:32:46 +0100

gnome-settings-daemon (3.30.1.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Disable suspend-then-hibernate, which is not yet ready to be the
      default behaviour (Closes: #908930)
  * Make pkg-config file available for cross-compilation by using default
    ${libdir}
  * Normalize (build-)dependency lists with wrap-and-sort -a
  * Normalize list of maintscript operations with wrap-and-sort -a
  * d/copyright: Remove trailing whitespace
  * Don't install pre-2010 ChangeLog

 -- Simon McVittie <smcv@debian.org>  Sat, 06 Oct 2018 18:58:25 +0100

gnome-settings-daemon (3.30.0-1) unstable; urgency=medium

  * New upstream release
  * debian/gbp.conf: use version-mangling for upstream-vcs-tag
    and other updates for Debian GNOME conventions
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.2.1
  * Enable all hardening flags
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 10 Sep 2018 08:28:39 -0400

gnome-settings-daemon (3.30.0-0ubuntu1) cosmic; urgency=medium

  * Update to 3.30.0:
    - Translation updates
    - Media-keys:
      Escape custom command for execution
    - Rfkill:
      Create nested cancellable for rfkill setting
    - Build:
      Fix undeclared dependency on gio-unix-2.0

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 04 Sep 2018 12:22:13 +0200

gnome-settings-daemon (3.29.90.1-1~ubuntu1) cosmic; urgency=medium

  * Merge with unreleased Debian version (LP: #1783763). Remaining changes:
    + Split out schemas into gnome-settings-daemon-schemas so
      unity-settings-daemon can use them
    + debian/control.in:
      - Build-depend on accountsservice
      - Bump breaks/replaces for moving files to the -schemas pkg
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - 70_allow_sound_above_100.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook and upstart scripts
    + debian/gnome-settings-daemon-schemas.install:
      - Install schemas, translations and the rfkill rule
    + Don't install gnome-settings-daemon.gsettings-override
  * debian/gbp.conf: Call the upstream tag pattern 'invalid' so that it
    creates errors - you currently need to pass this manually.
  * debian/patches/70_allow_sound_above_100.patch: Drop - this has been
    implemented upstream now.

 -- Iain Lane <laney@ubuntu.com>  Fri, 03 Aug 2018 11:33:04 +0100

gnome-settings-daemon (3.29.90.1-1) experimental; urgency=medium

  * Team upload

  [ Iain Lane ]
  * New upstream release 3.29.90.1
    - Allow volume above 100%
    - Fix improper notify_notification_close() usage
    - Make power test more robust
    - Update test suite to python3
  * debian/control{,.in}:
    + Bump gsettings-desktop-schemas dep to 3.27.90, so we have the key for
      the volume-above-100 stuff.
    + Change python deps to python3, as the testsuite has been ported.
  * debian/patches/0001-power-Make-power-test-more-robust.patch: Drop, applied
    upstream.

 -- Simon McVittie <smcv@debian.org>  Sun, 05 Aug 2018 17:24:18 +0100

gnome-settings-daemon (3.29.0-1) experimental; urgency=medium



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-settings-daemon
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper (>= 11.1.3),
               dh-exec,
               gnome-pkg-tools,
               gsettings-desktop-schemas-dev (>= 3.27.90),
               gtk-doc-tools,
               intltool (>= 0.37.1),
               libaccountsservice-dev (>= 0.6.34),
               libasound2-dev [linux-any],
               libcanberra-gtk3-dev,
               libcolord-dev (>= 1.0.2),
               libcups2-dev,
               libfontconfig1-dev,
               libgeoclue-2-dev (>= 2.3.1),
               libgeocode-glib-dev (>= 3.10.0),
               libglib2.0-dev (>= 2.53.0),
               libgnome-desktop-3-dev (>= 3.11.1),
               libgtk-3-dev (>= 3.16),
               libgudev-1.0-dev [linux-any],
               libgweather-3-dev (>= 3.9.5),
               libibus-1.0-dev (>= 1.5.2),
               liblcms2-dev,
               libnm-dev (>= 1.0) [linux-any],
               libnotify-dev (>= 0.7.3),
               libnss3-dev,
               libpackagekit-glib2-dev (>= 0.8.1),
               libpolkit-gobject-1-dev,
               libpulse-dev (>= 2.0),
               librsvg2-dev (>= 2.36.2),
               libupower-glib-dev (>= 0.99.0),
               libwacom-dev (>= 0.7) [!hurd-any !kfreebsd-any !s390 !s390x],
               libx11-dev,
               libxext-dev,
               libxi-dev,
               libxt-dev,
               libxtst-dev,
               meson (>= 0.44.0),
               mutter (>= 3.27.90) <!nocheck>,
               policykit-1,
               python3-dbusmock <!nocheck>,
               python3-gi <!nocheck>,
               udev [linux-any] <!nocheck>,
               xauth <!nocheck>,
               xkb-data,
               xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390 !s390x],
               xvfb <!nocheck>
Standards-Version: 4.2.1
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-settings-daemon
Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-settings-daemon -b ubuntu/cosmic
Rules-Requires-Root: no

Package: gnome-settings-daemon
Architecture: any
Depends: gnome-settings-daemon-schemas (= ${source:Version}),
         gsettings-desktop-schemas (>= 3.27.90),
         libpam-systemd [!hurd-any !kfreebsd-any],
         nautilus-data (>= 2.91.3-1),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: iio-sensor-proxy,
            pulseaudio
Breaks: afterstep (<< 2.2.12-11.1~),
        budgie-core (<< 10.4+git20171031.10.g9f71bb8-1.2~),
        cairo-dock (<< 3.4.1-1.2~),
        gdm3 (<< 3.27),
        gnome-control-center (<< 1:3.25.91),
        gnome-initial-setup (<< 3.27),
        gnome-session (<< 3.27),
        gnome-session-flashback (<< 3.26.0-3~),
        gnome-shell (<< 3.25.91),
        gnome-shell-extensions (<< 3.27),
        openbox-gnome-session (<< 3.6.1-7~),
        xmonad (<< 0.13-7~)
Description: daemon handling the GNOME session settings
 This package contains the daemon which is responsible for setting the
 various parameters of a GNOME session and the applications that run
 under it. It handles the following kinds of settings:
 .
  * Keyboard: layout, accessibility options, shortcuts, media keys
  * Clipboard management
  * Theming: background, icons, GTK+ applications
  * Cleanup of unused files
  * Mouse: cursors, speed, accessibility options
  * Startup of other daemons: screensaver, sound daemon
 .
 It also sets various application settings through X resources and
 freedesktop.org XSETTINGS.

Package: gnome-settings-daemon-schemas
Architecture: all
Depends: ${misc:Depends}
Replaces: gnome-settings-daemon (<< 3.20.1-2ubuntu1~)
Breaks: gnome-settings-daemon (<< 3.20.1-2ubuntu1~)
Description: Shared schemas for gnome-settings-daemon
 This package contains the gsettings schemas used by
 gnome-settings-daemon and unity-settings-daemon.

Package: gnome-settings-daemon-dev
Section: libdevel
Architecture: any
Depends: libglib2.0-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Headers for building applications communicating with gnome-settings-daemon
 This package contains header files required to build applications that
 communicate with the GNOME settings daemon over D-Bus.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--warn-unresolved-symbols -Wl,--as-needed
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

%:
	dh $@ --with gnome

ifneq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = \
	-Drfkil=false \
	-Dnetwork_manager=false \
	-Dalsa=false
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/gnome-settings-daemon \
		$(CONFFLAGS)

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
# The tests are not fatal on non-linux architectures
# See: https://bugzilla.gnome.org/show_bug.cgi?id=770684#c2
ifeq (,$(filter $(DEB_HOST_ARCH), hurd-i386 kfreebsd-i386 kfreebsd-amd64))
	xvfb-run dh_auto_test
else
	xvfb-run dh_auto_test || true
endif
endif

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog

## gnome-settings-daemon 3.30.2

=== meson_options.txt ===
--- 
+++ 
@@ -8,3 +8,5 @@
 option('rfkill', type: 'boolean', value: true, description: 'build with rfkill support (not optional on Linux platforms)')
 option('smartcard', type: 'boolean', value: true, description: 'build with smartcard support')
 option('wayland', type: 'boolean', value: true, description: 'build with Wayland support')
+
+option('experimental_suspend_then_hibernate', type: 'boolean', value: false, description: 'use suspend-then-hibernate if available (NOT recommended)')

=== debian/changelog ===
gnome-settings-daemon (3.30.2-3) unstable; urgency=medium

  * debian/rules: Set libdir to /usr/lib, this is needed for the gtk-modules
    (Closes: #922125)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 12 Feb 2019 13:24:57 +0100

gnome-settings-daemon (3.30.2-2) unstable; urgency=medium

  * keyboard-Enable-ibus-for-OSK-purposes.patch: Cherry-pick from master.
    To fix enabling of the OSK in more circumstances. (LP: #1760399)
  * gbp.conf: Use debian/unstable branch now we've branched for exp

 -- Iain Lane <iain.lane@canonical.com>  Fri, 25 Jan 2019 20:03:26 +0000

gnome-settings-daemon (3.30.2-1) unstable; urgency=medium

  * New upstream release
    - Fix tests with systemd 240 (Closes: #917708)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 09 Jan 2019 11:25:12 -0500

gnome-settings-daemon (3.30.1.2-2) unstable; urgency=medium

  [ Iain Lane ]
  * Add a gnome-settings-daemon-common package.
    This contains the GSettings schemas and other arch-independent files.
    Packages can depend or build-depend on this if they want the schemas but
    not the actual running gnome-settings-daemon.
    In particular, we currently have a circular BD/D chain between mutter
    and g-s-d, and this can be mostly broken if mutter depends on the
    schemas (which it needs) rather than the daemon (which it doesn't).
    The references to gnome-settings-daemon-schemas are because Ubuntu
    provides this package under that name - this is to help with
    transitioning to gnome-settings-daemon-common.
  * debian/copyright:
    + Fix a broken copyright symbol
    + Add some more copyright holders, thanks grep

  [ Jeremy Bicha ]
  * debian/watch: Watch for stable releases
  * Drop obsolete dependency on nautilus-data

 -- Iain Lane <laney@debian.org>  Mon, 10 Dec 2018 16:42:34 +0000

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,14 @@
 Source: gnome-settings-daemon
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 11.1.3),
                dh-exec,
                gnome-pkg-tools,
                gsettings-desktop-schemas-dev (>= 3.27.90),
                gtk-doc-tools,
                intltool (>= 0.37.1),
-               libaccountsservice-dev (>= 0.6.34),
                libasound2-dev [linux-any],
                libcanberra-gtk3-dev,
                libcolord-dev (>= 1.0.2),
@@ -54,18 +52,15 @@
                xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390 !s390x],
                xvfb <!nocheck>
 Standards-Version: 4.2.1
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-settings-daemon
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-settings-daemon -b ubuntu/cosmic
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
 Rules-Requires-Root: no
 
 Package: gnome-settings-daemon
 Architecture: any
-Depends: gnome-settings-daemon-schemas (= ${source:Version}),
+Depends: gnome-settings-daemon-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 3.27.90),
          libpam-systemd [!hurd-any !kfreebsd-any],
-         nautilus-data (>= 2.91.3-1),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: iio-sensor-proxy,
@@ -97,14 +92,20 @@
  It also sets various application settings through X resources and
  freedesktop.org XSETTINGS.
 
-Package: gnome-settings-daemon-schemas
+Package: gnome-settings-daemon-common
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: gnome-settings-daemon (<< 3.20.1-2ubuntu1~)
-Breaks: gnome-settings-daemon (<< 3.20.1-2ubuntu1~)
-Description: Shared schemas for gnome-settings-daemon
- This package contains the gsettings schemas used by
- gnome-settings-daemon and unity-settings-daemon.
+Replaces: gnome-settings-daemon (<< 3.30.1.2-2~),
+          gnome-settings-daemon-schemas (<< 3.30.1.2-2~)
+Breaks: gnome-settings-daemon (<< 3.30.1.2-2~),
+        gnome-settings-daemon-schemas (<< 3.30.1.2-2~)
+Provides: gnome-settings-daemon-schemas (= ${source:Version})
+Description: daemon handling the GNOME session settings - common files
+ This package contains GSettings schemas and other architecture-independent
+ files for GNOME Settings Daemon. It is probably not interesting on its own for
+ end users, but packages may depend on this if they only need to read and write
+ settings & don't themselves care if the settings daemon is actually running or
+ not.
 
 Package: gnome-settings-daemon-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		--libdir=/usr/lib \
 		--libexecdir=/usr/lib/gnome-settings-daemon \
 		$(CONFFLAGS)

## gnome-settings-daemon 3.31.90

=== debian/changelog ===
gnome-settings-daemon (3.31.90-1) experimental; urgency=medium

  * New upstream development release 
  * Drop Build-Depend on libxtst-dev
  * Drop patch: applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 Feb 2019 20:47:05 -0500

gnome-settings-daemon (3.31.2-1) experimental; urgency=medium

  * New upstream development release
  * Bump minimum libglib2.0-dev to 2.56
  * Cherry-pick keyboard-Enable-ibus-for-OSK-purposes.patch

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 18 Jan 2019 07:49:50 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 11.1.3),
                dh-exec,
                gnome-pkg-tools,
@@ -20,7 +20,7 @@
                libfontconfig1-dev,
                libgeoclue-2-dev (>= 2.3.1),
                libgeocode-glib-dev (>= 3.10.0),
-               libglib2.0-dev (>= 2.53.0),
+               libglib2.0-dev (>= 2.56),
                libgnome-desktop-3-dev (>= 3.11.1),
                libgtk-3-dev (>= 3.16),
                libgudev-1.0-dev [linux-any],
@@ -40,7 +40,6 @@
                libxext-dev,
                libxi-dev,
                libxt-dev,
-               libxtst-dev,
                meson (>= 0.44.0),
                mutter (>= 3.27.90) <!nocheck>,
                policykit-1,
@@ -110,7 +109,7 @@
 Package: gnome-settings-daemon-dev
 Section: libdevel
 Architecture: any
-Depends: libglib2.0-dev,
+Depends: libglib2.0-dev (>= 2.56),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Headers for building applications communicating with gnome-settings-daemon

## gnome-settings-daemon 3.32.0

=== debian/changelog ===
gnome-settings-daemon (3.32.0-1ubuntu1) disco; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
       - git_binary_encoding.patch
       - ubuntu_calculator_snap.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * debian/patches/*: Refresh

 -- Iain Lane <iain.lane@canonical.com>  Thu, 14 Mar 2019 11:25:46 +0000

gnome-settings-daemon (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Drop debian/patches/series, there are no patches

 -- Iain Lane <laney@debian.org>  Thu, 14 Mar 2019 09:39:36 +0000

gnome-settings-daemon (3.31.91-1ubuntu1) disco; urgency=medium

  * Merge with Debian (LP: #1817900). Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
       - git_binary_encoding.patch
       - ubuntu_calculator_snap.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * debian/patches/*: Refresh

 -- Iain Lane <iain.lane@canonical.com>  Wed, 06 Mar 2019 14:36:58 +0000

gnome-settings-daemon (3.31.91-1) experimental; urgency=medium

  * New upstream release
    - Ignore key repeat on certain shortcuts
  * control: Depend new mutter, Break old gnome-shell.
    Older versions of gnome-shell don't provide the flag on the
    GrabAccelerators API that we use in this version of g-s-d.

 -- Iain Lane <laney@debian.org>  Wed, 06 Mar 2019 14:11:56 +0000

gnome-settings-daemon (3.31.90-1ubuntu1) disco; urgency=medium

  [ Jeremy Bicha ]
  * Merge with Debian (LP: #1817900). Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
       - git_binary_encoding.patch
       - ubuntu_calculator_snap.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

  [ Iain Lane ]
  * Set branches back to ubuntu/master
  * Refresh patches, rebase 53_sync_input_sources_to_accountsservice.patch

 -- Iain Lane <iain.lane@canonical.com>  Wed, 27 Feb 2019 12:16:32 +0000

gnome-settings-daemon (3.30.2-2ubuntu1) disco; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
       - git_binary_encoding.patch
       - ubuntu_calculator_snap.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Use ubuntu/disco branch, master has 3.31 prepared and I don't want to
    upload it yet

 -- Iain Lane <iain.lane@canonical.com>  Fri, 25 Jan 2019 20:20:45 +0000

gnome-settings-daemon (3.30.2-1ubuntu1) disco; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
       - git_binary_encoding.patch
       - ubuntu_calculator_snap.patch
    + debian/gnome-settings-daemon.install:


## gnome-settings-daemon 3.32.1

=== debian/changelog ===
gnome-settings-daemon (3.32.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Jun 2019 13:48:10 +0200

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
                libxi-dev,
                libxt-dev,
                meson (>= 0.44.0),
-               mutter (>= 3.27.90) <!nocheck>,
+               mutter (>= 3.31.92) <!nocheck>,
                policykit-1,
                python3-dbusmock <!nocheck>,
                python3-gi <!nocheck>,
@@ -72,7 +72,7 @@
         gnome-initial-setup (<< 3.27),
         gnome-session (<< 3.27),
         gnome-session-flashback (<< 3.26.0-3~),
-        gnome-shell (<< 3.25.91),
+        gnome-shell (<< 3.31.92),
         gnome-shell-extensions (<< 3.27),
         openbox-gnome-session (<< 3.6.1-7~),
         xmonad (<< 0.13-7~)

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 ifneq ($(DEB_HOST_ARCH_OS),linux)
 CONFFLAGS = \
-	-Drfkil=false \
+	-Drfkill=false \
 	-Dnetwork_manager=false \
 	-Dalsa=false
 endif

## gnome-settings-daemon 3.34.1

=== debian/changelog ===
gnome-settings-daemon (3.34.1-1ubuntu1) eoan; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
       - git_binary_encoding.patch
       - ubuntu_calculator_snap.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 14 Oct 2019 11:58:03 +0200

gnome-settings-daemon (3.34.1-1) unstable; urgency=medium

  * New upstream bugfix release
    + Media-keys:
      - Update to OSD DBus API changes for keyboard brightness
    + Smartcards:
      - Use correct parent type for structs
      - Change manager to non-blocking
    + Power:
      - Fix rounding of brightness value
  * Drop GsdSmartcardService patch: applied in new release
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 12 Oct 2019 14:26:23 -0400

gnome-settings-daemon (3.34.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 17:18:07 +0200

gnome-settings-daemon (3.34.0-2) experimental; urgency=medium

  * Team upload
  * d/p/GsdSmartcardService-Use-correct-parent-type-for-structs.patch:
    Fix startup failure in smart card service

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Sep 2019 10:20:22 +0100

gnome-settings-daemon (3.34.0-1) experimental; urgency=medium

  [ Will Thompson ]
  * debian/rules: pass --auto-servernum to xvfb-run.

  [ Andre Moreira Magalhaes ]
  * New upstream release
  * debian/control.in: Bump gsettings-desktop-schemas dependency to 3.34.0

 -- Iain Lane <laney@debian.org>  Wed, 11 Sep 2019 15:30:56 +0100

gnome-settings-daemon (3.33.92-1ubuntu1) eoan; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
       - git_binary_encoding.patch
       - ubuntu_calculator_snap.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Rebase patches. Many of these required manual resolution - especially
    64_restore_terminal_keyboard_shortcut_schema.patch which needed to be
    adjusted to upstream's new method.
  * control: BD on systemd - the build system requires its pcfile
  * gnome-settings-daemon.maintscript: Clean up Mouse & Clipboard XDG
    autostart files. These plugins have been dropped.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 06 Sep 2019 15:54:41 +0100

gnome-settings-daemon (3.33.92-1) experimental; urgency=medium

  [ Iain Lane ]
  * New upstream release
    + Media-keys
      - Fix MPRIS controller no longer working
    + XSettings
      - Make plugin able to run on demand
      - Ensure plugin is started after the shell
    + General
      - Replace deprecated 'g_type_class_add_private' in
        GnomeSettingsPluginInfo

  [ Laurent Bigonville ]
  * Bump debhelper compatibility to 12, this will ensure that
    dh_installsystemduser is called by default
  * debian/control.in: Bump gsettings-desktop-schemas dependency to 3.33.0
    to match the build-dependency version
  * debian/control.in: Bump Standards-Version to 4.4.0 (no further changes)

 -- Iain Lane <laney@debian.org>  Fri, 06 Sep 2019 13:51:19 +0100

gnome-settings-daemon (3.33.90-1ubuntu1) eoan; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
       - git_binary_encoding.patch
       - ubuntu_calculator_snap.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Rebase patches. Many of these required manual resolution - especially
    64_restore_terminal_keyboard_shortcut_schema.patch which needed to be
    adjusted to upstream's new method.
  * control: BD on systemd - the build system requires its pcfile
  * gnome-settings-daemon.maintscript: Clean up Mouse & Clipboard XDG
    autostart files. These plugins have been dropped.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 16 Aug 2019 16:38:59 +0100

gnome-settings-daemon (3.33.90-1) experimental; urgency=medium



=== debian/control ===
--- 
+++ 
@@ -5,19 +5,22 @@
 Source: gnome-settings-daemon
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper (>= 11.1.3),
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Build-Depends: debhelper (>= 12),
                dh-exec,
-               gnome-pkg-tools,
-               gsettings-desktop-schemas-dev (>= 3.27.90),
+               dh-sequence-gnome,
+               gsettings-desktop-schemas-dev (>= 3.34.0),
                gtk-doc-tools,
                intltool (>= 0.37.1),
+               libaccountsservice-dev (>= 0.6.34),
                libasound2-dev [linux-any],
                libcanberra-gtk3-dev,
-               libcolord-dev (>= 1.0.2),
+               libcolord-dev (>= 1.3.5),
                libcups2-dev,
                libfontconfig1-dev,
+               libgcr-3-dev (>= 3.7.5),
                libgeoclue-2-dev (>= 2.3.1),
                libgeocode-glib-dev (>= 3.10.0),
                libglib2.0-dev (>= 2.56),
@@ -30,11 +33,12 @@
                libnm-dev (>= 1.0) [linux-any],
                libnotify-dev (>= 0.7.3),
                libnss3-dev,
+               libmm-glib-dev (>= 1.0),
                libpackagekit-glib2-dev (>= 0.8.1),
                libpolkit-gobject-1-dev,
                libpulse-dev (>= 2.0),
                librsvg2-dev (>= 2.36.2),
-               libupower-glib-dev (>= 0.99.0),
+               libupower-glib-dev (>= 0.99.8),
                libwacom-dev (>= 0.7) [!hurd-any !kfreebsd-any !s390 !s390x],
                libx11-dev,
                libxext-dev,
@@ -45,20 +49,23 @@
                policykit-1,
                python3-dbusmock <!nocheck>,
                python3-gi <!nocheck>,
+               systemd,
                udev [linux-any] <!nocheck>,
                xauth <!nocheck>,
                xkb-data,
                xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390 !s390x],
                xvfb <!nocheck>
-Standards-Version: 4.2.1
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
+Standards-Version: 4.4.0
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-settings-daemon
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-settings-daemon
 Rules-Requires-Root: no
 
 Package: gnome-settings-daemon
 Architecture: any
 Depends: gnome-settings-daemon-common (= ${source:Version}),
-         gsettings-desktop-schemas (>= 3.27.90),
+         gsettings-desktop-schemas (>= 3.34.0),
          libpam-systemd [!hurd-any !kfreebsd-any],
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
 
 %:
-	dh $@ --with gnome
+	dh $@
 
 ifneq ($(DEB_HOST_ARCH_OS),linux)
 CONFFLAGS = \
@@ -28,9 +28,9 @@
 # The tests are not fatal on non-linux architectures
 # See: https://bugzilla.gnome.org/show_bug.cgi?id=770684#c2
 ifeq (,$(filter $(DEB_HOST_ARCH), hurd-i386 kfreebsd-i386 kfreebsd-amd64))
-	xvfb-run dh_auto_test
+	xvfb-run --auto-servernum dh_auto_test
 else
-	xvfb-run dh_auto_test || true
+	xvfb-run --auto-servernum dh_auto_test || true
 endif
 endif
